Subject: bug#71479: 30.0.50; describe-key description incorrect when using input methods

From: Jeremy Bryant <[email-masked]>
Date: Tue, 11 Jun 2024 21:18:02 +0100

Robert Pluim <[email-masked]> writes:

>>>>>> On Mon, 10 Jun 2024 23:02:58 +0100, Jeremy Bryant <[email-masked]> said:
>
>     Jeremy> Robert Pluim <[email-masked]> writes:
>     >> emacs -Q
>     >> C-u C-\ cyrillic-translit
>     >> C-h z h
>
>     Jeremy> When testing, I get
>     Jeremy> C-h z is undefined
>
> Because I messed up the key binding, it should be 'C-h k z'
>
> Robert

As I test this (on 29.3), the result is:

з (translated from <return> з) runs the command self-insert-command